bftsmart.tom.server

## Interface Executable

All Known Subinterfaces:
  BatchExecutable, FIFOExecutable, SingleExecutable

All Known Implementing Classes:
  DefaultRecoverable, DefaultSingleRecoverable, DurabilityCoordinator

    public interface Executable

Executables that implement this interface can received unordered client requests. To support ordered requests, objects that implement this interface must also implement either 'FIFOExecutable', 'BatchExecutable' or 'SingleExecutable'.

### Method Summary

All Methods Instance Methods Abstract Methods
`byte[]` `executeUnordered(byte[] command, MessageContext msgCtx)` Method called to execute a request totally ordered.

### Method Detail

#### executeUnordered

    byte[] executeUnordered(byte[] command,
                            MessageContext msgCtx)

Method called to execute a request totally ordered. The message context contains some useful information such as the command sender.

Parameters:
  `command` - the command issue by the client
  `msgCtx` - information related with the command
Returns:
  the reply for the request issued by the client